Next: ATOMIC_OR, Previous: ATOMIC_FETCH_OR, Up: Intrinsic Procedures [Contents][Index]

### 9.31 `ATOMIC_FETCH_XOR` — Atomic bitwise XOR operation with prior fetch

Description:

  `ATOMIC_XOR(ATOM, VALUE)` atomically stores the value of ATOM in OLD and defines ATOM with the bitwise XOR between the values of ATOM and VALUE. When STAT is present and the invokation was successful, it is assigned the value 0. If it is present and the invokation has failed, it is assigned a positive value; in particular, for a coindexed ATOM, if the remote image has stopped, it is assigned the value of `ISO_FORTRAN_ENV`’s `STAT_STOPPED_IMAGE` and if the remote image has failed, the value `STAT_FAILED_IMAGE`.

Standard:

  TS 18508 or later

Class:

  Atomic subroutine

Syntax:

  `CALL ATOMIC_FETCH_XOR (ATOM, VALUE, OLD [, STAT])`

Arguments:

  ATOM | Scalar coarray or coindexed variable of integer type with `ATOMIC_INT_KIND` kind.
  VALUE | Scalar of the same type as ATOM. If the kind is different, the value is converted to the kind of ATOM.
  OLD | Scalar of the same type and kind as ATOM.
  STAT | (optional) Scalar default-kind integer variable.

Example:

      program atomic
        use iso_fortran_env
        integer(atomic_int_kind) :: atom[*], old
        call atomic_fetch_xor (atom[1], int(b'10100011101'), old)
      end program atomic

See also:

  ATOMIC_DEFINE, ATOMIC_XOR, ISO_FORTRAN_ENV, ATOMIC_FETCH_ADD, ATOMIC_FETCH_AND, ATOMIC_FETCH_OR